![CalendarApp](https://user-images.githubusercontent.com/8013017/117589582-193feb80-b133-11eb-80ed-1b72b69f7006.png)

[![License](https://img.shields.io/github/license/richardtop/calendarkit)](https://swiftpackageindex.com/richardtop/CalendarKit)

# CalendarApp

**CalendarApp** is a template repository serving as a starting point for experiments with [CalendarKit](https://github.com/richardtop/CalendarKit). It's a sample calendar app for iOS built with [CalendarKit](https://github.com/richardtop/CalendarKit) and [EventKit](https://developer.apple.com/documentation/eventkit). It displays events stored in the `EKEventStore` similarly to the default calendar app.

## Tutorials
- [Create iOS Calendar App in Swift with CalendarKit](https://www.youtube.com/watch?v=iC4XxmExqFA)

## Getting Started
To run the app, just clone the repository and open `Calendar.xcodeproj`. If you'd like to edit the code, press "Use this template" to copy this repository to your GitHub account and keep your changes.

## Need Help?
If you have a **programming question** about how to use CalendarKit in your application, ask it on StackOverflow with the [CalendarKit](https://stackoverflow.com/questions/tagged/calendarkit) tag.

Please, use [GitHub Issues](https://github.com/richardtop/CalendarKit/issues) only for reporting a bug or requesting a new feature.


## Examples
[Video](https://youtu.be/KR58xW0TkwI)

[Try live in a browser](https://appetize.io/app/k85kqpdr1fp79e59f1c4ar8cx4)

To try CalendarKit with CocoaPods issue the following command in the Terminal:
```ruby
pod try CalendarKit
```

## Requirements

To run CalendarApp:

- Xcode 12
- iOS 14

## Contributing

*CalendarApp* is an ongoing project and contributions are welcome. The goal for this project is to be a reference and demonstrate the capabilities of the CalendarKit. The app is inspired by the [iOS / iPadOS Calendar App](https://apps.apple.com/us/app/calendar/id1108185179).

## Author

Richard Topchii


## License

**CalendarApp** is available under the MIT license. See the LICENSE file for more info.
